Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
Retrieve MITM CA.
cURL
curl -sk -X GET "https://<controller>/v2.5/api/mitm/ca" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2.5/api/mitm/ca" headers = {"Authorization": "cid <CID>"} response = requests.get(url, headers=headers) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/mitm/ca", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
This response has no body data.
{ "message": "<string>" }
Controller ID in the format: cid .
"cid <CID>"
GET operation on success - if info returns returns cert/key info otherwise returns cert/key download
Was this page helpful?